Bug 15785 - /dev/netlink missing
/dev/netlink missing
Product: Red Hat Linux
Classification: Retired
Component: MAKEDEV (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-08-09 02:16 EDT by Pekka Savola
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-15 18:24:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-08-09 02:16:56 EDT
/dev/netlink (c 36 3) is missing, and /dev/MAKEDEV doesn't
know how to create it.  Sure, creating it is easy, but it should probably
go into dev and MAKEDEV packages.

I consider this an oversight as all netlink-related stuff are compiled in
in the kernels..
Comment 1 Nalin Dahyabhai 2000-08-09 08:29:06 EDT
Fixed in 3.0.5-5.
Comment 2 Pekka Savola 2000-08-10 11:04:02 EDT
Is it intended behaviour not to include /dev/netlink in dev package, only

That happens in RC1.
Comment 3 Pekka Savola 2000-09-15 18:24:36 EDT
The definition has been added, but /dev/netlink will not be built by default.

As I'm not sure if this is by design, I'm reopening this.

Happens with MAKEDEV-3.0.6-5 (Gold release) too.

Comment 4 Nalin Dahyabhai 2001-02-16 12:24:30 EST
This was by design (netlink isn't in the current devices.txt), but I'll change
it for 3.1.0-8 and later.

Note You need to log in before you can comment on or make changes to this bug.